Products

Covered Sports

POST
/v1/products/gap-medical/covered-sport

Get the covered sport(s) which corresponds to the given sport names, if any. This API exists to allow users of the web component to determine if any activities are insurable before presenting the web component offer.

Authorization

basic auth
AuthorizationBasic <token>

Authorization header with value of Basic <auth string> where the auth string value is a base64 encoded string of <client id>:<client secret>

In: header

Header Parameters

x-api-client-id?

Either x-api-client-id or Authorization header must be provided.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/v1/products/gap-medical/covered-sport" \  -H "Content-Type: application/json" \  -d '{    "state_abbreviation": "string",    "sport_names": [      "string"    ]  }'
[  {    "requested_sport_name": "string",    "sport_covered": true,    "covered_sport": "string",    "covered_in_state": true  }]
Empty